package com.dgtly.system.service;

import com.dgtly.system.domain.AssRelcustomerinfo;
import org.apache.ibatis.annotations.Param;

import java.text.ParseException;
import java.util.List;

/**
 * 多经销商关联Service接口
 * 
 * @author dgtly
 * @date 2021-04-08
 */
public interface IAssRelcustomerinfoService 
{
    /**
     * 查询多经销商关联
     * 
     * @param id 多经销商关联ID
     * @return 多经销商关联
     */
    public AssRelcustomerinfo selectAssRelcustomerinfoById(Long id);

    /**
     * 查询多经销商关联列表
     * 
     * @param assRelcustomerinfo 多经销商关联
     * @return 多经销商关联集合
     */
    public List<AssRelcustomerinfo> selectAssRelcustomerinfoList(AssRelcustomerinfo assRelcustomerinfo);

    /**
     * 新增多经销商关联
     * 
     * @param assRelcustomerinfo 多经销商关联
     * @return 结果
     */
    public int insertAssRelcustomerinfo(AssRelcustomerinfo assRelcustomerinfo);

    /**
     * 修改多经销商关联
     * 
     * @param assRelcustomerinfo 多经销商关联
     * @return 结果
     */
    public int updateAssRelcustomerinfo(AssRelcustomerinfo assRelcustomerinfo);

    /**
     * 批量删除多经销商关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteAssRelcustomerinfoByIds(String ids);

    public int deleteAssRelcustomerinfoByGlfs(String glfs);

    public int deleteAssRelcustomerinfoByUserId(String userId,String customerCode);

    /**
     * 删除多经销商关联信息
     * 
     * @param id 多经销商关联ID
     * @return 结果
     */
    public int deleteAssRelcustomerinfoById(Long id);

    List<AssRelcustomerinfo> selectRelcustomerinfoListByorgCode(String orgCode,String userId);

    List<AssRelcustomerinfo> selectRelcustomerinfoByKunnr(String kunnr,String userId);

    void relationCustomerOnlineSync() throws ParseException;
    String selectCustomerName(String customerId);
}
